%define realname Catalyst-Plugin-Session-Store-FastMmap
%define abbrevname Catalyst-P-S-Store-FastMmap
%define name perl-%abbrevname
%define	modprefix Catalyst

%define version 0.02
%define release %mkrel 4

Summary:	FastMmap session storage backend
Name:		%name
Version:	%version
Release:	%release
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%realname/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%realname-%version.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Cache::FastMmap)
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.01
BuildRequires:	perl(Catalyst::Utils)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Path::Class)
Provides:	perl-%realname
Obsoletes:	perl-%realname
BuildArch:	noarch
Buildroot:	%_tmppath/%name-%{version}-%{release}-buildroot

%description
Catalyst::Plugin::Session::Store::FastMmap is a fast session storage plugin for
Catalyst that uses an mmap'ed file to act as a shared memory interprocess
cache. It is based on Cache::FastMmap.

%prep
%setup -q -n %realname-%version

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%perl_vendorlib/%{modprefix}
%_mandir/*/*

%clean
rm -rf %{buildroot}



%changelog
* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 03:53:48 (54354)
- Rebuild, spec file cleanup

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 03:50:03 (54352)
- import perl-Catalyst-P-S-Store-FastMmap-0.02-3mdk

* Wed May 17 2006 Scott Karns <scottk@mandriva.org> 0.02-3mdk
- Updated BuildRequires
- Added source URL

* Fri Apr 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-2mdk
- Abbreviate rpm name to fit in the 64 char limit

* Thu Jan 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- Initial MDV RPM

